Search SIREN
curl --request GET \
--url https://api.korint.io/siren \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korint.io/siren"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/siren', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"data": [
{
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>",
"isActive": true
}
]
}lookups
Search SIREN
Fetch company data from a SIREN API, from a SIRET, SIREN or a name
GET
/
siren
Search SIREN
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Query Parameters
Siren number. Provide at least one of siren, siret or name.
Optional: Siret number
Optional: Company name
Was this page helpful?
⌘I

